### Method

# WebKit2 Settings set_media_playback_requires_user_gesture

#### Declaration [src]

    void
    webkit_settings_set_media_playback_requires_user_gesture (
      WebKitSettings* settings,
      gboolean enabled
    )

#### Description [src]

Set the `WebKitSettings:media-playback-requires-user-gesture` property.

Sets property | `WebKit2.Settings:media-playback-requires-user-gesture`

#### Parameters

`enabled`

  Type: `gboolean`

  Value to be set.